#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './base_guioptiontab.ui'
**
** Created: Mon Jul 28 09:29:16 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "base_guioptiontab.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a base_guiOptionTab as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
base_guiOptionTab::base_guiOptionTab( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "base_guiOptionTab" );
    base_guiOptionTabLayout = new QVBoxLayout( this, 11, 6, "base_guiOptionTabLayout"); 

    m_afterDisplay = new QCheckBox( this, "m_afterDisplay" );
    base_guiOptionTabLayout->addWidget( m_afterDisplay );

    m_trayBar = new QCheckBox( this, "m_trayBar" );
    base_guiOptionTabLayout->addWidget( m_trayBar );

    m_checkWarning = new QCheckBox( this, "m_checkWarning" );
    base_guiOptionTabLayout->addWidget( m_checkWarning );

    layout36 = new QHBoxLayout( 0, 0, 6, "layout36"); 
    spacer2 = new QSpacerItem( 40, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout36->addItem( spacer2 );

    m_checkPassiveWarn = new QCheckBox( this, "m_checkPassiveWarn" );
    layout36->addWidget( m_checkPassiveWarn );
    base_guiOptionTabLayout->addLayout( layout36 );

    m_checkShowSplash = new QCheckBox( this, "m_checkShowSplash" );
    base_guiOptionTabLayout->addWidget( m_checkShowSplash );

    m_checkShowProtocolName = new QCheckBox( this, "m_checkShowProtocolName" );
    base_guiOptionTabLayout->addWidget( m_checkShowProtocolName );

    m_rawPacketGroup = new QButtonGroup( this, "m_rawPacketGroup" );
    m_rawPacketGroup->setColumnLayout(0, Qt::Vertical );
    m_rawPacketGroup->layout()->setSpacing( 6 );
    m_rawPacketGroup->layout()->setMargin( 11 );
    m_rawPacketGroupLayout = new QVBoxLayout( m_rawPacketGroup->layout() );
    m_rawPacketGroupLayout->setAlignment( Qt::AlignTop );

    layout2 = new QVBoxLayout( 0, 0, 6, "layout2"); 

    m_radioRight = new QRadioButton( m_rawPacketGroup, "m_radioRight" );
    layout2->addWidget( m_radioRight );

    m_radioUnder = new QRadioButton( m_rawPacketGroup, "m_radioUnder" );
    layout2->addWidget( m_radioUnder );
    m_rawPacketGroupLayout->addLayout( layout2 );
    base_guiOptionTabLayout->addWidget( m_rawPacketGroup );
    spacer = new QSpacerItem( 30, 30, QSizePolicy::Minimum, QSizePolicy::Expanding );
    base_guiOptionTabLayout->addItem( spacer );
    languageChange();
    resize( QSize(360, 299).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
base_guiOptionTab::~base_guiOptionTab()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void base_guiOptionTab::languageChange()
{
    m_afterDisplay->setText( tr2i18n( "Displa&y captured packets after stopped capturing" ) );
    m_trayBar->setText( tr2i18n( "Show &KSniffer in the tray bar" ) );
    m_checkWarning->setText( tr2i18n( "&Warn if you got no packets" ) );
    m_checkPassiveWarn->setText( tr2i18n( "Use a passi&ve pop-up window to warn" ) );
    m_checkShowSplash->setText( tr2i18n( "&Show splash screen at startup" ) );
    m_checkShowProtocolName->setText( tr2i18n( "Show the service name in the Protocol column" ) );
    m_rawPacketGroup->setTitle( tr2i18n( "Show the raw packet frame..." ) );
    m_radioRight->setText( tr2i18n( "to the &right of the Packet Details frame" ) );
    m_radioUnder->setText( tr2i18n( "&under the Packet Details frame" ) );
}

#include "base_guioptiontab.moc"
