#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './displaydata_base.ui'
**
** Created: Mon Jul 28 09:29:21 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "displaydata_base.h"

#include <qvariant.h>
#include <qtextedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a DisplayDataBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
DisplayDataBase::DisplayDataBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "DisplayDataBase" );
    setSizeGripEnabled( TRUE );
    DisplayDataBaseLayout = new QVBoxLayout( this, 11, 6, "DisplayDataBaseLayout"); 

    m_textArea = new QTextEdit( this, "m_textArea" );
    m_textArea->setFrameShadow( QTextEdit::Sunken );
    DisplayDataBaseLayout->addWidget( m_textArea );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 
    Horizontal_Spacing = new QSpacerItem( 250, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( Horizontal_Spacing );

    m_buttonSave = new QPushButton( this, "m_buttonSave" );
    m_buttonSave->setEnabled( TRUE );
    m_buttonSave->setAutoDefault( TRUE );
    m_buttonSave->setDefault( FALSE );
    layout2->addWidget( m_buttonSave );

    m_buttonCopy = new QPushButton( this, "m_buttonCopy" );
    m_buttonCopy->setEnabled( TRUE );
    m_buttonCopy->setAutoDefault( TRUE );
    m_buttonCopy->setDefault( FALSE );
    layout2->addWidget( m_buttonCopy );

    m_buttonCancelOk = new QPushButton( this, "m_buttonCancelOk" );
    m_buttonCancelOk->setEnabled( TRUE );
    m_buttonCancelOk->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)0, 0, 0, m_buttonCancelOk->sizePolicy().hasHeightForWidth() ) );
    m_buttonCancelOk->setAutoDefault( TRUE );
    m_buttonCancelOk->setDefault( TRUE );
    layout2->addWidget( m_buttonCancelOk );
    DisplayDataBaseLayout->addLayout( layout2 );
    languageChange();
    resize( QSize(514, 284).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DisplayDataBase::~DisplayDataBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DisplayDataBase::languageChange()
{
    setCaption( tr2i18n( "show data" ) );
    m_buttonSave->setText( QString::null );
    m_buttonSave->setAccel( QKeySequence( QString::null ) );
    m_buttonCopy->setText( tr2i18n( "Cop&y" ) );
    m_buttonCancelOk->setText( QString::null );
    m_buttonCancelOk->setAccel( QKeySequence( QString::null ) );
}

#include "displaydata_base.moc"
