#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './base_snifferoptiontab.ui'
**
** Created: Mon Jul 28 09:29:16 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "base_snifferoptiontab.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <kurlrequester.h>
#include <qradiobutton.h>
#include <qspinbox.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kurlrequester.h"
#include "klineedit.h"
#include "kpushbutton.h"

/*
 *  Constructs a base_snifferOptionTab as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
base_snifferOptionTab::base_snifferOptionTab( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "base_snifferOptionTab" );
    base_snifferOptionTabLayout = new QVBoxLayout( this, 11, 6, "base_snifferOptionTabLayout"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new QLabel( groupBox1, "textLabel1" );
    layout1->addWidget( textLabel1 );

    m_editTempDir = new KURLRequester( groupBox1, "m_editTempDir" );
    layout1->addWidget( m_editTempDir );
    groupBox1Layout->addLayout( layout1 );
    base_snifferOptionTabLayout->addWidget( groupBox1 );

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QVBoxLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    m_checkManually = new QRadioButton( groupBox3, "m_checkManually" );
    groupBox3Layout->addWidget( m_checkManually );

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    m_checkPackets = new QRadioButton( groupBox3, "m_checkPackets" );
    layout8->addWidget( m_checkPackets );

    m_packetsNum = new QSpinBox( groupBox3, "m_packetsNum" );
    m_packetsNum->setMaxValue( 1000000 );
    m_packetsNum->setMinValue( 1 );
    layout8->addWidget( m_packetsNum );

    textLabel1_2 = new QLabel( groupBox3, "textLabel1_2" );
    layout8->addWidget( textLabel1_2 );
    groupBox3Layout->addLayout( layout8 );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    m_checkSize = new QRadioButton( groupBox3, "m_checkSize" );
    layout9->addWidget( m_checkSize );

    m_packetsSize = new QSpinBox( groupBox3, "m_packetsSize" );
    m_packetsSize->setMaxValue( 1000000 );
    m_packetsSize->setMinValue( 1 );
    layout9->addWidget( m_packetsSize );

    m_sizeType = new QComboBox( FALSE, groupBox3, "m_sizeType" );
    layout9->addWidget( m_sizeType );
    groupBox3Layout->addLayout( layout9 );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    m_checkTime = new QRadioButton( groupBox3, "m_checkTime" );
    layout10->addWidget( m_checkTime );

    m_packetsTime = new QSpinBox( groupBox3, "m_packetsTime" );
    m_packetsTime->setMaxValue( 1000000 );
    m_packetsTime->setMinValue( 1 );
    layout10->addWidget( m_packetsTime );

    m_timeType = new QComboBox( FALSE, groupBox3, "m_timeType" );
    layout10->addWidget( m_timeType );
    groupBox3Layout->addLayout( layout10 );
    base_snifferOptionTabLayout->addWidget( groupBox3 );
    spacer = new QSpacerItem( 30, 70, QSizePolicy::Minimum, QSizePolicy::Expanding );
    base_snifferOptionTabLayout->addItem( spacer );
    languageChange();
    resize( QSize(370, 310).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( m_editTempDir, m_checkPackets );
    setTabOrder( m_checkPackets, m_packetsNum );
    setTabOrder( m_packetsNum, m_checkSize );
    setTabOrder( m_checkSize, m_packetsSize );
    setTabOrder( m_packetsSize, m_sizeType );
    setTabOrder( m_sizeType, m_checkTime );
    setTabOrder( m_checkTime, m_packetsTime );
    setTabOrder( m_packetsTime, m_timeType );

    // buddies
    textLabel1->setBuddy( m_editTempDir );
}

/*
 *  Destroys the object and frees any allocated resources
 */
base_snifferOptionTab::~base_snifferOptionTab()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void base_snifferOptionTab::languageChange()
{
    groupBox1->setTitle( tr2i18n( "Misc" ) );
    textLabel1->setText( tr2i18n( "&Default temporary folder:" ) );
    QToolTip::add( m_editTempDir, QString::null );
    groupBox3->setTitle( tr2i18n( "Interrupt Capture" ) );
    m_checkManually->setText( tr2i18n( "&Manually" ) );
    m_checkPackets->setText( tr2i18n( "&Stop after..." ) );
    QToolTip::add( m_packetsNum, QString::null );
    textLabel1_2->setText( tr2i18n( "packets" ) );
    m_checkSize->setText( tr2i18n( "S&top after..." ) );
    m_sizeType->clear();
    m_sizeType->insertItem( tr2i18n( "byte(s)" ) );
    m_sizeType->insertItem( tr2i18n( "kilobyte(s)" ) );
    m_sizeType->insertItem( tr2i18n( "megabyte(s)" ) );
    m_sizeType->insertItem( tr2i18n( "gigabyte(s)" ) );
    m_checkTime->setText( tr2i18n( "St&op after..." ) );
    m_timeType->clear();
    m_timeType->insertItem( tr2i18n( "second(s)" ) );
    m_timeType->insertItem( tr2i18n( "minute(s)" ) );
    m_timeType->insertItem( tr2i18n( "hour(s)" ) );
    m_timeType->insertItem( tr2i18n( "day(s)" ) );
}

#include "base_snifferoptiontab.moc"
